## iwlwifi-intel3165-dkms 1.3

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.3) trusty; urgency=medium

  * Fix makefile to specify the right kernel version.
    (LP: #1495370)

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Sep 2015 17:23:14 +0800

iwlwifi-intel3165-dkms (1.2) trusty; urgency=medium

  * Remove all modaliases but 3165.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 01 Jul 2015 15:57:12 +0800

iwlwifi-intel3165-dkms (1.1) trusty; urgency=medium

  * Update to backports-20150525.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Tue, 02 Jun 2015 17:00:22 +0800

iwlwifi-intel3165-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 12 May 2015 11:12:43 +0800
