## iwlwifi-intel3165-dkms 1.4

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.4) trusty; urgency=medium

  * Add kernel dependency to for install newer kernel for i2c driver
    (LP: #1464634)

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 24 Dec 2015 17:36:39 +0800
