=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 Package: iwlwifi-intel3165-dkms
 Architecture: all
-Depends: dkms (>= 1.95), ${misc:Depends}
+Depends: dkms (>= 1.95),
+         linux-generic-lts-vivid (>= 3.19.0.30.0) | linux-generic (>= 3.19.0.30.0), 
+         linux-headers-generic-lts-vivid (>= 3.19.0.30.0) | linux-headers-generic (>= 3.19.0.30.0), 
+         ${misc:Depends}
 Description: iwlwifi-intel3165 driver in DKMS format.
 XB-Modaliases: ${modaliases}
