=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=iwlwifi-intel3165
 NAME=iwlwifi-intel3165
-VERSION=1.3
+VERSION=1.4
 
 configure: configure-stamp
 configure-stamp:
