## iwlwifi-intel3165-dkms 1.8

=== debian/changelog ===
iwlwifi-intel3165-dkms (1.8) trusty; urgency=medium

  * Bump version (LP: #1653211)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Tue, 03 Jan 2017 13:19:31 +0800

iwlwifi-intel3165-dkms (1.6) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 25 Nov 2016 14:57:11 +0800

iwlwifi-intel3165-dkms (1.5) trusty; urgency=medium

  * Add BUILD_EXCLUSIVE_KERNEL to dkms.conf (LP: #1613931)
    Some APIs are deprecated in the newer kernel.
  * Check if network controller is intel 3165 before installing DKMS drvier
    (LP: #1626920)

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 10 Nov 2016 09:43:32 +0800
